KIO::NetRC Class Reference

`#include <authinfo.h>`

## Classes

struct | AutoLogin

## Public Types

enum | LookUpMode { exactOnly = 0x0002, defaultOnly = 0x0004, presetOnly = 0x0008 }

## Public Member Functions

bool | lookup (const KURL &url, AutoLogin &login, bool userealnetrc=false, QString type=QString::null, int mode=(exactOnly|defaultOnly))
void | reload ()

## Static Public Member Functions

static NetRC * | self ()

## Protected Member Functions

QString | extract (const char *, const char *, int &)
int | openf (const QString &)
bool | parse (int)

## Detailed Description

A Singleton class that provides access to passwords stored in .netrc files for automatic login purposes.

This is only meant to address backward compatability with old automated ftp client style logins...

An interface to the ftp .netrc files

Author
  Dawit Alemayehu adawi.nosp@m.t@kd.nosp@m.e.org

Definition at line 240 of file authinfo.h.

## Member Enumeration Documentation

enum KIO::NetRC::LookUpMode

Specifies the mode to be used when searching for a matching automatic login info for a given site :

- exactOnly search entries with exact host name matches.
- defaultOnly search entries that are specified as "default".
- presetOnly search entries that are specified as "preset".

See also
  lookup

Definition at line 254 of file authinfo.h.

## Member Function Documentation

bool NetRC::lookup | ( | const KURL & | url,
|  | AutoLogin & | login,
|  | bool | userealnetrc = `false`,
|  | QString | type = `QString::null`,
|  | int | mode = `(exactOnly|defaultOnly)`
| ) |  |

Looks up the `login` information for the given `url`.

Parameters

  url | the url whose login information will be checked
  login | the login information will be writte here
  userealnetrc | if true, use $HOME/.netrc fle
  type | the type of the login. If null, the `url's` protocol will be taken
  mode | the LookUpMode flags (ORed) for the query

Definition at line 122 of file authinfo.cpp.

void KIO::NetRC::reload | ( |  | ) |

inline

Reloads the auto login information.

Definition at line 297 of file authinfo.h.

NetRC * NetRC::self | ( |  | ) |

static

A reference to the instance of the class.

Returns
  the class

Definition at line 115 of file authinfo.cpp.

The documentation for this class was generated from the following files:

- authinfo.h
- authinfo.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys